Bug 58692 - aarch64 arm_neon.h functions are not documented
Summary: aarch64 arm_neon.h functions are not documented
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 4.9.0
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords: documentation
Depends on:
Blocks:
 
Reported: 2013-10-11 16:20 UTC by Jonathan Lennox
Modified: 2014-11-12 03:58 UTC (History)
1 user (show)

See Also:
Host:
Target: aarch64-*-*
Build:
Known to work:
Known to fail:
Last reconfirmed: 2014-06-18 00:00:00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Lennox 2013-10-11 16:20:36 UTC
The GCC manual documents all the intrinsic functions supported by arm_neon.h on the arm architecture, in terms of the assembly code each function is expected to generate.

The aarch64 architecture extends arm_neon.h with over a thousand new intrinsic functions.  However, these additional functions are not documented.  While the meaning of many of them can be inferred from their names and function arguments, they should actually be documented.
Comment 1 Tejas Belagod 2014-06-18 09:41:41 UTC
The ARM NEON intrinsics are documented in ACLE available here: 

http://infocenter.arm.com/help/topic/com.arm.doc.ihi0053c/IHI0053C_acle_2_0.pdf

and specifically the detailed list of NEON Intrinsics here:

http://infocenter.arm.com/help/topic/com.arm.doc.ihi0073a/IHI0073A_arm_neon_intrinsics_ref.pdf
Comment 2 Tejas Belagod 2014-11-12 03:55:59 UTC
Committed fix r217405 and r217406.

------------------------------------------------------------------------
r217406 | belagod | 2014-11-12 08:46:05 +0000 (Wed, 12 Nov 2014) | 14 lines

[AArch64] Remove unnecessary files.

2014-11-12  Tejas Belagod  <tejas.belagod@arm.com>

        * Makefile.in (TEXI_GCC_FILES): Remove arm-acle-intrinsics.texi,
        arm-neon-intrinsics.texi, aarch64-acle-intrinsics.texi.
        * doc/aarch64-acle-intrinsics.texi: Remove.
        * doc/arm-acle-intrinsics.texi: Remove.
        * doc/arm-neon-intrinsics.texi: Remove.
        * doc/extend.texi: Consolidate sections AArch64 intrinsics,
        ARM NEON Intrinsics, ARM ACLE Intrinsics into one ARM C Language
        Extension section. Add references to public ACLE specification.


------------------------------------------------------------------------
r217405 | belagod | 2014-11-12 08:42:41 +0000 (Wed, 12 Nov 2014) | 14 lines

[AArch64] Add reference to ACLE and consolidate documentation.

2014-11-12  Tejas Belagod  <tejas.belagod@arm.com>

        * Makefile.in (TEXI_GCC_FILES): Remove arm-acle-intrinsics.texi,
        arm-neon-intrinsics.texi, aarch64-acle-intrinsics.texi.
        * doc/aarch64-acle-intrinsics.texi: Remove.
        * doc/arm-acle-intrinsics.texi: Remove.
        * doc/arm-neon-intrinsics.texi: Remove.
        * doc/extend.texi: Consolidate sections AArch64 intrinsics,
        ARM NEON Intrinsics, ARM ACLE Intrinsics into one ARM C Language
        Extension section. Add references to public ACLE specification.
Comment 3 Tejas Belagod 2014-11-12 03:58:33 UTC
Fixed on trunk r217405 and r217406.